Package Details: fb-adb-git 20170602.r363.b931596-6

Git Clone URL: https://aur.archlinux.org/fb-adb-git.git (read-only)
Package Base: fb-adb-git
Description: A better shell to use in place of adb when connecting to Android devices
Upstream URL: https://github.com/facebook/fb-adb
Licenses: GPL3
Submitter: prurigro
Maintainer: None
Last Packager: yan12125
Votes: 6
Popularity: 0.000001
First Submitted: 2014-10-06 10:34
Last Updated: 2017-10-15 18:10

Latest Comments

1 2 3 Next › Last »

yan12125 commented on 2018-07-13 11:59

I'm leaving for official adb, too!

yan12125 commented on 2017-06-02 11:36

I fixed the build and move to system packages. Note that you may want to change the target API value if you want to use it on newer devices. I've just tried it and android-19 doesn't work on my Marshmallow device; I have to build the package with android-23.

yan12125 commented on 2017-05-29 07:10

It's still useful for me - gonna adopt it. Thanks @prurigro for all the efforts on maintaining this!

Currently it's broken with the latest GCC. I'll take a look soon.

prurigro commented on 2017-05-29 03:48

The official adb has implemented all the features I'd previously used fb-adb for so I no longer use this package and will be disowning it. Hopefully someone else is interested in taking over!

lockheed commented on 2016-06-03 16:40

@yan12125, that did it. Thanks!

yan12125 commented on 2016-06-03 03:33

Maybe a Java version issue. I use jdk8-openjdk. Your log is incomplete and I can't figured out what's happening.

lockheed commented on 2016-06-02 21:01

@yan12125. One step further, but still no dice. Looks like it is not meant to work for me...

UNEXPECTED TOP-LEVEL EXCEPTION:
java.lang.RuntimeException: Agent.class: file not found
at com.android.dex.util.FileUtils.readFile(FileUtils.java:51)
at com.android.dx.cf.direct.ClassPathOpener.processOne(ClassPathOpener.java:169)
at com.android.dx.cf.direct.ClassPathOpener.process(ClassPathOpener.java:144)
at com.android.dx.command.dexer.Main.processOne(Main.java:672)
at com.android.dx.command.dexer.Main.processAllFiles(Main.java:574)
at com.android.dx.command.dexer.Main.runMonoDex(Main.java:311)
at com.android.dx.command.dexer.Main.run(Main.java:277)
at com.android.dx.command.dexer.Main.main(Main.java:245)
at com.android.dx.command.Main.main(Main.java:106)
1 error; aborting
Makefile:1281: recipe for target 'agent.dex' failed
make[1]: *** [agent.dex] Error 1
make[1]: *** Waiting for unfinished jobs....
mv -f .deps/cmd_bash_completion.Tpo .deps/cmd_bash_completion.Po
mv -f .deps/autocmd.Tpo .deps/autocmd.Po
make[1]: Leaving directory '/tmp/fb-adb-git/src/fb-adb/build'
Makefile:780: recipe for target 'all-recursive' failed
make: *** [all-recursive] Error 1
==> ERROR: A failure occurred in build().
Aborting...

yan12125 commented on 2016-06-02 16:51

@lockheed Here's a working version for me: https://gist.github.com/yan12125/3fbc3067f25e416cccc7cae6c9c8be7b. I remove most NDK-relevant lines for simplicity.

lockheed commented on 2016-06-02 15:33

@yan12125, I tried adding "export ANDROID_SDK=$ANDROID_HOME" in build, but still get:

==> Starting build()...
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ([^ \t=:+{}]+)}/ at /usr/bin/automake line 3936.
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
configure: error: Android SDK location not given
==> ERROR: A failure occurred in build().
Aborting...



Could you paste the entire working PKGBUILD?

yan12125 commented on 2016-06-01 05:20

For @lockheed's PKGBUILD, I just have to add "export ANDROID_SDK=$ANDROID_HOME" in build() for a correct build. Yay!